diff --git a/tests/regression/regression_calculation.esc b/tests/regression/regression_calculation.esc
index c2cf7d713..ba9c4759e 100644
Binary files a/tests/regression/regression_calculation.esc and b/tests/regression/regression_calculation.esc differ
diff --git a/tests/regression/regression_cubic.esc b/tests/regression/regression_cubic.esc
new file mode 100644
index 000000000..e4368c126
--- /dev/null
+++ b/tests/regression/regression_cubic.esc
@@ -0,0 +1 @@
+ØØØ*+,+Ø*ØØØØØØØØØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_exponential.esc b/tests/regression/regression_exponential.esc
new file mode 100644
index 000000000..0db12440c
--- /dev/null
+++ b/tests/regression/regression_exponential.esc
@@ -0,0 +1 @@
+ØØØ*+Ø+,ØØØØØØØØØØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_graph.esc b/tests/regression/regression_graph.esc
index d299394a0..d9b1e7642 100644
Binary files a/tests/regression/regression_graph.esc and b/tests/regression/regression_graph.esc differ
diff --git a/tests/regression/regression_graph_axes.esc b/tests/regression/regression_graph_axes.esc
new file mode 100644
index 000000000..0cd2b4879
Binary files /dev/null and b/tests/regression/regression_graph_axes.esc differ
diff --git a/tests/regression/regression_graph_preadjustment.esc b/tests/regression/regression_graph_preadjustment.esc
new file mode 100644
index 000000000..28a3725c0
--- /dev/null
+++ b/tests/regression/regression_graph_preadjustment.esc
@@ -0,0 +1 @@
+ØØØ*+Ø,ØØØØ+Ø,Ø+ØØØØØØØØØØØØØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_graph_zoom.esc b/tests/regression/regression_graph_zoom.esc
new file mode 100644
index 000000000..fb6df2c58
--- /dev/null
+++ b/tests/regression/regression_graph_zoom.esc
@@ -0,0 +1 @@
+ØØØØØ*+ØØØ+Ø+ØØØØØ...ØØØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_list.esc b/tests/regression/regression_list.esc
index 1ccb1f051..e6b7bdb00 100644
Binary files a/tests/regression/regression_list.esc and b/tests/regression/regression_list.esc differ
diff --git a/tests/regression/regression_list_clear.esc b/tests/regression/regression_list_clear.esc
new file mode 100644
index 000000000..5d6a3435d
Binary files /dev/null and b/tests/regression/regression_list_clear.esc differ
diff --git a/tests/regression/regression_list_formula.esc b/tests/regression/regression_list_formula.esc
new file mode 100644
index 000000000..1c6f02862
--- /dev/null
+++ b/tests/regression/regression_list_formula.esc
@@ -0,0 +1 @@
+ØØØØ*Ø+ØØØØØØØØØØ
ØØØØØØØÍØØ*Ø-+ØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_logarithmic.esc b/tests/regression/regression_logarithmic.esc
index fb8a2b5a3..3a1f503bc 100644
Binary files a/tests/regression/regression_logarithmic.esc and b/tests/regression/regression_logarithmic.esc differ
diff --git a/tests/regression/regression_power.esc b/tests/regression/regression_power.esc
new file mode 100644
index 000000000..1bdd2416b
--- /dev/null
+++ b/tests/regression/regression_power.esc
@@ -0,0 +1 @@
+ØØØ*Ø+ØØ,Ø$ØØØØØØØØØØØØØØØØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_quadratic.esc b/tests/regression/regression_quadratic.esc
index 060a5bdfa..86fba5479 100644
--- a/tests/regression/regression_quadratic.esc
+++ b/tests/regression/regression_quadratic.esc
@@ -1 +1 @@
-ØØØØØØØØØØØØ*+,$ØØ%ØØØØØØ*ØØØØØØØØØ-ØØØØØØØØØØ,ØØØØ
ØØØØØØØØØØØØØØØØØÍØØ*ØØØØØ.ØØ$ØØØØØØØØØØØØØØØØØØØØØØØØØØØØØ,ØØØØ,0ØØØØØØØØØØØØØØØØØØ
\ No newline at end of file
+ØØØ*++,ØØØØØØØØØØØØØ
\ No newline at end of file
diff --git a/tests/regression/regression_quartic.esc b/tests/regression/regression_quartic.esc
index 506378406..14a5a426f 100644
--- a/tests/regression/regression_quartic.esc
+++ b/tests/regression/regression_quartic.esc
@@ -1 +1 @@
-ØØØØØØØ*+,$%ØØØ+$&ØØ+ØØ0ØØØØØØØØØØØØØØØØØØØØØØØØØ
\ No newline at end of file
+ØØ*+Ø,Ø+Ø*Ø+ØØØØØØØØØØØØØØ
\ No newline at end of file
